package org.lym.pom.repository.mongo.enums;

import org.lym.pom.repository.mongo.Comment;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 评论相关对象类型枚举：动态、视频、照片等
 *
 * @see Comment#relatedType
 * @author lym
 */
public enum CommentRelatedTypeEnum implements NameAsIdDictionaryItemEnum<CommentRelatedTypeEnum> {
    MOMENT(Comment.RelatedType.MOMENT),
    VIDEO(Comment.RelatedType.VIDEO),
    PHOTO(Comment.RelatedType.PHOTO);

    private final String storageName;

    CommentRelatedTypeEnum(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageName() {
        return storageName;
    }
}
